No way to change the plugin icon once submitted the first package
Category:

Pull Request or Patch supplied:No

Description

After submitted the first package the plugin icon is stored in the web app.

Unless the Description, the icon cannot be changed in a second time using the Edit button.

History

#1 - 2012-10-04 06:47 AM - Giuseppe Sucameli

Here's an example of plugin I changed the icon of:

RT Omero

The displayed icon is the old one, though in the package there's the new icon.

Note: the path to the icon within the package doesn't changed between versions (i.e. the plugin icon is still located at icon/rt_omero.png), I just replaced the

icon.

#2 - 2012-10-05 06:18 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to Resolved

#3 - 2012-10-05 06:28 AM - Giuseppe Sucameli

I'm still unable to change the icon using the "Edit plugin" page.

I can choose a new icon using the HTML input file control in that page, but once saved the selected icon seems not stored (it's neither displayed in the

plugin page nor listed in the "Edit plugin" page).

#4 - 2012-10-06 03:52 AM - Paolo Cavallini

- Status changed from Resolved to Closed
http://plugins.qgis.org/plugins/rt_omero/

